# $Revision: 1.2 $, $Date: 2005/06/09 21:38:00 $
Summary:	Personality setter
Summary(pl):	Narzdzie do ustawiania osobowoci
Name:		setarch
Version:	1.7
Release:	1
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	6bb48ce08450526a8b24ea034bddad32
License:	GPL
Group:		Applications/System
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This utility tells the kernel to report a different architecture than
the current one, then runs a program in that environment.

%description -l pl
To narzdzie przekazuje jdru, aby zgaszao architektur inn ni
bieca, a nastpnie uruchamia program w tym rodowisku.

%prep
%setup -q

%build
%{__cc} %{rpmldflags} %{rpmcflags} -o setarch setarch.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man8}

install setarch $RPM_BUILD_ROOT%{_bindir}
install setarch.8 $RPM_BUILD_ROOT%{_mandir}/man8

LINKS="linux32"
%ifarch s390 s390x
LINKS="$LINKS s390 s390x"
%endif
%ifarch %{ix86} %{x8664}
LINKS="$LINKS i386 x86_64"
%endif
%ifarch ppc ppc64
LINKS="$LINKS ppc ppc64 ppc32"
%endif
%ifarch sparc sparc64
LINKS="$LINKS sparc sparc64 sparc32"
%endif
%ifarch ia64
LINKS="$LINKS i386 ia64"
%endif
for I in $LINKS; do
	ln $RPM_BUILD_ROOT%{_bindir}/setarch $RPM_BUILD_ROOT%{_bindir}/$I
	echo ".so setarch.8" > $RPM_BUILD_ROOT%{_mandir}/man8/$I.8
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man8/*.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: setarch.spec,v $
Revision 1.2  2005/06/09 21:38:00  arekm
- up to 1.7 (from rc)

Revision 1.1  2004/07/23 23:45:59  qboosh
- new, based on spec from FC

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 24 2004 Elliot Lee <sopwith@redhat.com> 1.4-1
- Fix man page - #115552

* Wed Jan 14 2004 Elliot Lee <sopwith@redhat.com> 1.3-2
- Rebuild

* Tue Sep 02 2003 Elliot Lee <sopwith@redhat.com> 1.3-1
- Add linux32 alias

* Tue Aug 26 2003 Elliot Lee <sopwith@redhat.com> 1.2-1
- Fix -3 option

* Wed Aug 13 2003 Elliot Lee <sopwith@redhat.com> 1.1-1
- Add -3 option

* Wed Jun 11 2003 Elliot Lee <sopwith@redhat.com>
- Initial build.
